// Generated by using Rcpp::compileAttributes() -> do not edit by hand
// Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#include <RcppArmadillo.h>
#include <Rcpp.h>

using namespace Rcpp;

#ifdef RCPP_USE_GLOBAL_ROSTREAM
Rcpp::Rostream<true>&  Rcpp::Rcout = Rcpp::Rcpp_cout_get();
Rcpp::Rostream<false>& Rcpp::Rcerr = Rcpp::Rcpp_cerr_get();
#endif

// vector_to_ut
arma::rowvec vector_to_ut(arma::mat v);
RcppExport SEXP _directedENA_vector_to_ut(SEXP vSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< arma::mat >::type v(vSEXP);
    rcpp_result_gen = Rcpp::wrap(vector_to_ut(v));
    return rcpp_result_gen;
END_RCPP
}
// accum_stanza_window
DataFrame accum_stanza_window(DataFrame df, float windowSize, bool binary);
RcppExport SEXP _directedENA_accum_stanza_window(SEXP dfSEXP, SEXP windowSizeSEXP, SEXP binarySEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< DataFrame >::type df(dfSEXP);
    Rcpp::traits::input_parameter< float >::type windowSize(windowSizeSEXP);
    Rcpp::traits::input_parameter< bool >::type binary(binarySEXP);
    rcpp_result_gen = Rcpp::wrap(accum_stanza_window(df, windowSize, binary));
    return rcpp_result_gen;
END_RCPP
}
// directed_node_positions
Rcpp::List directed_node_positions(arma::mat line_weights, arma::mat points, int numDims);
RcppExport SEXP _directedENA_directed_node_positions(SEXP line_weightsSEXP, SEXP pointsSEXP, SEXP numDimsSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< arma::mat >::type line_weights(line_weightsSEXP);
    Rcpp::traits::input_parameter< arma::mat >::type points(pointsSEXP);
    Rcpp::traits::input_parameter< int >::type numDims(numDimsSEXP);
    rcpp_result_gen = Rcpp::wrap(directed_node_positions(line_weights, points, numDims));
    return rcpp_result_gen;
END_RCPP
}
// directed_node_positions_with_ground_response_added
Rcpp::List directed_node_positions_with_ground_response_added(arma::mat line_weights, arma::mat points, int numDims);
RcppExport SEXP _directedENA_directed_node_positions_with_ground_response_added(SEXP line_weightsSEXP, SEXP pointsSEXP, SEXP numDimsSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< arma::mat >::type line_weights(line_weightsSEXP);
    Rcpp::traits::input_parameter< arma::mat >::type points(pointsSEXP);
    Rcpp::traits::input_parameter< int >::type numDims(numDimsSEXP);
    rcpp_result_gen = Rcpp::wrap(directed_node_positions_with_ground_response_added(line_weights, points, numDims));
    return rcpp_result_gen;
END_RCPP
}
// center_data_c
Rcpp::NumericMatrix center_data_c(arma::mat values);
RcppExport SEXP _directedENA_center_data_c(SEXP valuesSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< arma::mat >::type values(valuesSEXP);
    rcpp_result_gen = Rcpp::wrap(center_data_c(values));
    return rcpp_result_gen;
END_RCPP
}

static const R_CallMethodDef CallEntries[] = {
    {"_directedENA_vector_to_ut", (DL_FUNC) &_directedENA_vector_to_ut, 1},
    {"_directedENA_accum_stanza_window", (DL_FUNC) &_directedENA_accum_stanza_window, 3},
    {"_directedENA_directed_node_positions", (DL_FUNC) &_directedENA_directed_node_positions, 3},
    {"_directedENA_directed_node_positions_with_ground_response_added", (DL_FUNC) &_directedENA_directed_node_positions_with_ground_response_added, 3},
    {"_directedENA_center_data_c", (DL_FUNC) &_directedENA_center_data_c, 1},
    {NULL, NULL, 0}
};

RcppExport void R_init_directedENA(DllInfo *dll) {
    R_registerRoutines(dll, NULL, CallEntries, NULL, NULL);
    R_useDynamicSymbols(dll, FALSE);
}
